Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451204 - fedora-package-config-smart-9-13 pushed, but never appeared in updates
Summary: fedora-package-config-smart-9-13 pushed, but never appeared in updates
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-package-config-smart
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Axel Thimm
QA Contact: Fedora Extras Quality Assurance
URL: https://admin.fedoraproject.org/updat...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-13 12:21 UTC by Alex Lancaster
Modified: 2013-01-10 04:43 UTC (History)
7 users (show)

Fixed In Version: 9-13.0.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-03 03:13:40 UTC


Attachments (Terms of Use)

Description Alex Lancaster 2008-06-13 12:21:34 UTC
the F-9 update (also in rawhide):

http://koji.fedoraproject.org/koji/buildinfo?buildID=49475

appears to be missing RPMs even though the build was successful.

Version-Release number of selected component (if applicable):
fedora-package-config-smart-9-13

It appears that maybe for this reason, it is causing broken deps in rawhide for
smart, for a few weeks now:

Broken deps for i386
----------------------------------------------------------
...

        smart-0.52-54.fc9.i386 requires smart-config

Comment 1 Alex Lancaster 2008-06-13 12:30:27 UTC
My scratch build of the version in F-9 CVS on rawhide (dist-f10) appears to
complete:

http://koji.fedoraproject.org/koji/taskinfo?taskID=660552

For some reason the fedora-package-config-smart-9-13.fc9 was never tagged for
any release (perhaps the reason RPMs were removed?)  My guess it it was possibly
being built during the freeze and never having a rel-eng request to push and not
pushed via bodhi either?

Comment 2 Axel Thimm 2008-06-14 06:11:51 UTC
(In reply to comment #1)
> For some reason the fedora-package-config-smart-9-13.fc9 was never tagged for
> any release (perhaps the reason RPMs were removed?)  My guess it it was possibly
> being built during the freeze and never having a rel-eng request to push and not
> pushed via bodhi either?

No, it was tagged on 21.05 (long after the freeze). See also bug #446622 and
https://admin.fedoraproject.org/updates/F9/FEDORA-2008-4190


Comment 3 Axel Thimm 2008-06-14 06:42:20 UTC
Todd Zullinger opened a rel-eng ticket (thanks Todd!)

https://fedorahosted.org/rel-eng/ticket/141


Comment 4 Jesse Keating 2008-06-16 19:03:47 UTC
Ugh.  I have no idea how this got done.  It wasn't garbage collected according
to the tag history, but the contents are missing, so I'm not sure.

Since the contents are gone, I think the best solution here is to bump, build,
and push out a new update.

Comment 5 Anders F Björklund 2008-06-27 21:01:23 UTC
The build fails here, due to the use of "%if %rawhide" in the spec file...
(which gives the good old "parseExpressionBoolean returns -1" in rpmbuild)

Looks like mock can't handle such syntax errors in the .spec, or something ?
Changing to "%if %{?rawhide:1}%{!?rawhide:0}" made it build properly here.


Comment 6 Fedora Update System 2008-07-02 18:14:31 UTC
fedora-package-config-smart-9-13.0.1 has been submitted as an update for Fedora 9

Comment 7 Fedora Update System 2008-07-02 18:14:32 UTC
fedora-package-config-smart-8-12.0.1 has been submitted as an update for Fedora 8

Comment 8 Fedora Update System 2008-07-03 03:13:37 UTC
fedora-package-config-smart-9-13.0.1 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2008-07-03 03:16:49 UTC
fedora-package-config-smart-8-12.0.1 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.